### Class

# JavaScriptCore Exception

#### Description [src]

    class JavaScriptCore.Exception : GObject.Object {
      parent: GObject
    }

JSCException represents a JavaScript exception.

#### Ancestors

- GObject

#### Constructors

###### jsc_exception_new

Create a new `JSCException` in `context` with `message`.

###### jsc_exception_new_printf

Create a new `JSCException` in `context` using a formatted string for the message.

###### jsc_exception_new_vprintf

Create a new `JSCException` in `context` using a formatted string for the message. This is similar to `jsc_exception_new_printf()` except that the arguments to the format string are passed as a va_list.

###### jsc_exception_new_with_name

Create a new `JSCException` in `context` with `name` and `message`.

###### jsc_exception_new_with_name_printf

Create a new `JSCException` in `context` with `name` and using a formatted string for the message.

###### jsc_exception_new_with_name_vprintf

Create a new `JSCException` in `context` with `name` and using a formatted string for the message. This is similar to `jsc_exception_new_with_name_printf()` except that the arguments to the format string are passed as a va_list.

#### Instance methods

###### jsc_exception_get_backtrace_string

Get a string with the exception backtrace.

###### jsc_exception_get_column_number

Get the column number at which `exception` happened.

###### jsc_exception_get_line_number

Get the line number at which `exception` happened.

###### jsc_exception_get_message

Get the error message of `exception`.

###### jsc_exception_get_name

Get the error name of `exception`.

###### jsc_exception_get_source_uri

Get the source URI of `exception`.

###### jsc_exception_report

Return a report message of `exception`, containing all the possible details such us source URI, line, column and backtrace, and formatted to be printed.

###### jsc_exception_to_string

Get the string representation of `exception` error.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct JavaScriptCoreExceptionClass {
      GObjectClass parent_class;
      void (* _jsc_reserved0) (
    void
      );
      void (* _jsc_reserved1) (
    void
      );
      void (* _jsc_reserved2) (
    void
      );
      void (* _jsc_reserved3) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.
`_jsc_reserved0: void (* _jsc_reserved0) ( void )`
  No description available.
`_jsc_reserved1: void (* _jsc_reserved1) ( void )`
  No description available.
`_jsc_reserved2: void (* _jsc_reserved2) ( void )`
  No description available.
`_jsc_reserved3: void (* _jsc_reserved3) ( void )`
  No description available.